import * as widgets from '@jupyter-widgets/base';
import * as d3 from 'd3';
import { Figure } from './Figure';
import { Mark } from './Mark';
export declare class Interaction extends widgets.WidgetView {
    initialize(parameters: any): void;
    render(): void;
    relayout(): void;
    remove(): void;
    mark_views: Mark[];
    d3el: d3.Selection<Element, any, any, any>;
    parent: Figure;
}
